package com.hzya.frame.sysnew.comparison.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 
 * @content 档案对照实体类
 * @Param 
 * @Return 
 * @Author hecan 
 * @Date 2024/5/7 15:50
 * **/
public class ComparisonEntity extends BaseEntity {
    private String contrastType;//对照类型
    private String documentRule;//单据规则
    private Long documentRuleNum;//单据规则流水号
    private String ckbm;//仓库编码
    private String ckmc;//仓库名称
    private String cklx;//仓库类型
    private String ckdz;//仓库地址
    private String fzr;//负责人
    private String dh;//电话
    private String ssdd;//所属地点
    private String bz;//备注
    private String ssck;//所属仓库
    private String hwbm;//货位编码

    private String hwmc;//货位名称
    private String hwrj;//货位容积
    private String dd;//地点
    private String sjzz;//上级组织
    private String zzbm;//组织编码
    private String zzmc;//组织名称
    private String fr;//法人
    private String dz;//地址
    private String taskCode;//任务编码
    private String taskName;//任务名称
    private String taskClasses;//任务分类
    private String taskCron;//任务策略
    private String taskTag;//任务标识
    private String funInfo;//功能介绍/任务描述'
    private String senceId;//场景id
    private String remark;//备注
    private String taskStatus;//任务状态
    private String serverName;//服务名称
    private String plug;//插件
    private String plugId;//插件id

    private String taskLinvingId;//集成任务-实例_id
    private String result;//返回结果
    private String queryCondition;//原始查询条件
    private String rootAppPk;//源系统主键
    private String rootAppBill;//原系统单据
    private String rootAppNewData;//最新源系统数据详情
    private String newTransmitInfo;//最新传输信息
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date newPushDate;//最新推送时间
    private String repairPust;//是否补推(Y是N不是)
    private String newState;//最新推送状态
    private String businessDate;//单据业务日期
    private String pluginId;//插件id
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date processingTime;//处理时间
    private String processingRemarks;//处理备注
    private String processorName;//处理⼈名称
    private String processor;//处理⼈
    private String newSystemNumber;//下游系统单号
    private  String newSystemPrimary;//下游系统主键

    private String mdmName;//主数据名称
    private String mdmCode;//主数据编码
    private String dbName;//表名
    private String dbType;//类型 1、主表 2、明细
    private String enName;//字段名 英文
    private String chName;// 字段名 中文
    private String filedType;//字段类型 1、BIGINT 2、DECIMAL 3、VARCHAR 4、DATETIME

    private Map<String,Object> map;
    private ComparisonDetailsEntity comparisonDetailsEntity;
    private String sszz;//所属组织
    private String formmainId;//上级id

    private String rulePrefix;//规则前缀 CK-yyyyMMdd-0001中的CK

    private List<ComparisonDetailsEntity> comparisonDetailsEntityList;

    public List<ComparisonDetailsEntity> getComparisonDetailsEntityList() {
        return comparisonDetailsEntityList;
    }

    public void setComparisonDetailsEntityList(List<ComparisonDetailsEntity> comparisonDetailsEntityList) {
        this.comparisonDetailsEntityList = comparisonDetailsEntityList;
    }

    public String getRulePrefix() {
        return rulePrefix;
    }

    public void setRulePrefix(String rulePrefix) {
        this.rulePrefix = rulePrefix;
    }

    public String getSszz() {
        return sszz;
    }

    public void setSszz(String sszz) {
        this.sszz = sszz;
    }

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public ComparisonDetailsEntity getComparisonDetailsEntity() {
        return comparisonDetailsEntity;
    }

    public void setComparisonDetailsEntity(ComparisonDetailsEntity comparisonDetailsEntity) {
        this.comparisonDetailsEntity = comparisonDetailsEntity;
    }

    public Map<String, Object> getMap() {
        return map;
    }

    public void setMap(Map<String, Object> map) {
        this.map = map;
    }


    public String getMdmName() {
        return mdmName;
    }

    public void setMdmName(String mdmName) {
        this.mdmName = mdmName;
    }

    public String getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(String mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getFiledType() {
        return filedType;
    }

    public void setFiledType(String filedType) {
        this.filedType = filedType;
    }

    public String getTaskLinvingId() {
        return taskLinvingId;
    }

    public void setTaskLinvingId(String taskLinvingId) {
        this.taskLinvingId = taskLinvingId;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition;
    }

    public String getRootAppPk() {
        return rootAppPk;
    }

    public void setRootAppPk(String rootAppPk) {
        this.rootAppPk = rootAppPk;
    }

    public String getRootAppBill() {
        return rootAppBill;
    }

    public void setRootAppBill(String rootAppBill) {
        this.rootAppBill = rootAppBill;
    }

    public String getRootAppNewData() {
        return rootAppNewData;
    }

    public void setRootAppNewData(String rootAppNewData) {
        this.rootAppNewData = rootAppNewData;
    }

    public String getNewTransmitInfo() {
        return newTransmitInfo;
    }

    public void setNewTransmitInfo(String newTransmitInfo) {
        this.newTransmitInfo = newTransmitInfo;
    }

    public Date getNewPushDate() {
        return newPushDate;
    }

    public void setNewPushDate(Date newPushDate) {
        this.newPushDate = newPushDate;
    }

    public String getRepairPust() {
        return repairPust;
    }

    public void setRepairPust(String repairPust) {
        this.repairPust = repairPust;
    }

    public String getNewState() {
        return newState;
    }

    public void setNewState(String newState) {
        this.newState = newState;
    }

    public String getBusinessDate() {
        return businessDate;
    }

    public void setBusinessDate(String businessDate) {
        this.businessDate = businessDate;
    }

    public String getPluginId() {
        return pluginId;
    }

    public void setPluginId(String pluginId) {
        this.pluginId = pluginId;
    }

    public Date getProcessingTime() {
        return processingTime;
    }

    public void setProcessingTime(Date processingTime) {
        this.processingTime = processingTime;
    }

    public String getProcessingRemarks() {
        return processingRemarks;
    }

    public void setProcessingRemarks(String processingRemarks) {
        this.processingRemarks = processingRemarks;
    }

    public String getProcessorName() {
        return processorName;
    }

    public void setProcessorName(String processorName) {
        this.processorName = processorName;
    }

    public String getProcessor() {
        return processor;
    }

    public void setProcessor(String processor) {
        this.processor = processor;
    }

    public String getNewSystemNumber() {
        return newSystemNumber;
    }

    public void setNewSystemNumber(String newSystemNumber) {
        this.newSystemNumber = newSystemNumber;
    }

    public String getNewSystemPrimary() {
        return newSystemPrimary;
    }

    public void setNewSystemPrimary(String newSystemPrimary) {
        this.newSystemPrimary = newSystemPrimary;
    }

    public String getContrastType() {
        return contrastType;
    }

    public void setContrastType(String contrastType) {
        this.contrastType = contrastType;
    }

    public String getDocumentRule() {
        return documentRule;
    }

    public void setDocumentRule(String documentRule) {
        this.documentRule = documentRule;
    }

    public Long getDocumentRuleNum() {
        return documentRuleNum;
    }

    public void setDocumentRuleNum(Long documentRuleNum) {
        this.documentRuleNum = documentRuleNum;
    }

    public String getCkbm() {
        return ckbm;
    }

    public void setCkbm(String ckbm) {
        this.ckbm = ckbm;
    }

    public String getCkmc() {
        return ckmc;
    }

    public void setCkmc(String ckmc) {
        this.ckmc = ckmc;
    }

    public String getCklx() {
        return cklx;
    }

    public void setCklx(String cklx) {
        this.cklx = cklx;
    }

    public String getCkdz() {
        return ckdz;
    }

    public void setCkdz(String ckdz) {
        this.ckdz = ckdz;
    }

    public String getFzr() {
        return fzr;
    }

    public void setFzr(String fzr) {
        this.fzr = fzr;
    }

    public String getDh() {
        return dh;
    }

    public void setDh(String dh) {
        this.dh = dh;
    }

    public String getSsdd() {
        return ssdd;
    }

    public void setSsdd(String ssdd) {
        this.ssdd = ssdd;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getSsck() {
        return ssck;
    }

    public void setSsck(String ssck) {
        this.ssck = ssck;
    }

    public String getHwbm() {
        return hwbm;
    }

    public void setHwbm(String hwbm) {
        this.hwbm = hwbm;
    }

    public String getHwmc() {
        return hwmc;
    }

    public void setHwmc(String hwmc) {
        this.hwmc = hwmc;
    }

    public String getHwrj() {
        return hwrj;
    }

    public void setHwrj(String hwrj) {
        this.hwrj = hwrj;
    }

    public String getDd() {
        return dd;
    }

    public void setDd(String dd) {
        this.dd = dd;
    }

    public String getSjzz() {
        return sjzz;
    }

    public void setSjzz(String sjzz) {
        this.sjzz = sjzz;
    }

    public String getZzbm() {
        return zzbm;
    }

    public void setZzbm(String zzbm) {
        this.zzbm = zzbm;
    }

    public String getZzmc() {
        return zzmc;
    }

    public void setZzmc(String zzmc) {
        this.zzmc = zzmc;
    }

    public String getFr() {
        return fr;
    }

    public void setFr(String fr) {
        this.fr = fr;
    }

    public String getDz() {
        return dz;
    }

    public void setDz(String dz) {
        this.dz = dz;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskClasses() {
        return taskClasses;
    }

    public void setTaskClasses(String taskClasses) {
        this.taskClasses = taskClasses;
    }

    public String getTaskCron() {
        return taskCron;
    }

    public void setTaskCron(String taskCron) {
        this.taskCron = taskCron;
    }

    public String getTaskTag() {
        return taskTag;
    }

    public void setTaskTag(String taskTag) {
        this.taskTag = taskTag;
    }

    public String getFunInfo() {
        return funInfo;
    }

    public void setFunInfo(String funInfo) {
        this.funInfo = funInfo;
    }

    public String getSenceId() {
        return senceId;
    }

    public void setSenceId(String senceId) {
        this.senceId = senceId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getPlug() {
        return plug;
    }

    public void setPlug(String plug) {
        this.plug = plug;
    }

    public String getPlugId() {
        return plugId;
    }

    public void setPlugId(String plugId) {
        this.plugId = plugId;
    }
}
