package com.hzya.frame.sysnew.comparison.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sysnew.comparison.entity.ComparisonEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IComparisonService extends IBaseService<ComparisonEntity, String> {
    
    /**
     * 
     * @content 分页查询档案对照数据
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2024/5/7 15:55
     * **/
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    /**
     *
     * @content 新增档案对照数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/7 16:52
     * **/
    JsonResultEntity saveEntity(JSONObject jsonObject);

    /**
     *
     * @content 编辑档案对照数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 10:19
     * **/
    JsonResultEntity updateEntity(JSONObject jsonObject);

    /**
     *
     * @content 删除档案对照数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 13:59
     * **/
    JsonResultEntity deleteEntity(JSONObject jsonObject);
}
