package com.hzya.frame.sysnew.comparison.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.comparison.entity.ComparisonDetailsEntity;
import com.hzya.frame.sysnew.comparison.entity.ComparisonEntity;

import java.util.List;

public interface IComparisonDao extends IBaseDao<ComparisonEntity, String> {

    /**
     *
     * @content 根据主数据编码查询表名，字段名等信息
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/7 16:05
     * **/
    List<ComparisonEntity> queryComparison(ComparisonEntity comparison);

    /**
     *
     * @content 分页查询数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 15:11
     * **/
    List<ComparisonEntity> queryComparisonPage(ComparisonEntity comparison);

    /**
     *
     * @content 保存档案对照数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/7 16:56
     * **/
    ComparisonEntity saveComparison(ComparisonEntity comparison);

    /**
     *
     * @content 生成单据规则 如：CK-yyyyMMdd-0001
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 9:42
     * **/
     ComparisonEntity queryComparisonRule(ComparisonEntity comparison);

    /**
     *
     * @content 更新档案对照数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 10:32
     * **/
    Integer updateComparisonByType(ComparisonEntity comparison);

    /**
     *
     * @content 删除档案对照数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 14:09
     * **/
    Integer deleteComparison(ComparisonEntity comparison);
}
