package com.hzya.frame.sysnew.generalData.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.generalData.entity.GeneralDataEntity;

import java.util.List;

public interface IGeneralDataDao extends IBaseDao<GeneralDataEntity, String> {

    /**
     *
     * @content 新增通用数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 16:49
     * **/
    GeneralDataEntity saveGeneralDataByType(GeneralDataEntity generalDataEntity);

    /**
     *
     * @content 查询通用数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 16:51
     * **/
    List<GeneralDataEntity> queryGeneralData(GeneralDataEntity generalDataEntity);

    /**
     *
     * @content 编辑通用数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 17:17
     * **/
    Integer updateGeneralDataByType(GeneralDataEntity generalDataEntity);

    /**
     *
     * @content 删除通用数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 17:20
     * **/
    Integer deleteGeneralDataByType(GeneralDataEntity generalDataEntity);
}
